Spherical mirror distortion doesn't work correctly

Bug #676260 reported by Bill Lovegrove on 2010-11-16
66
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Stellarium
Fix Released
High
Guillaume Chereau

Bug Description

Spherical mirror works in 0.10.2. When I run the same parameters in 0.10.5 I get an image which is not nearly correct. Screen shot is attached.

2010-11-16T16:27:32
Windows XP
Compiled with GCC 4.4.0
Qt runtime version: 4.6.2
Qt compilation version: 4.6.2
Addressing mode: 32-bit
Total memory: 2045 MB (unreliable)
Total virtual memory: 2047 MB (unreliable)
Physical memory in use: 30%
Processor speed: 2126 MHz
Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
Processor speed: 2126 MHz
Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
C:\Program Files\Stellarium 0.10.5\stellarium.exe
 -------------------------------------------------------
[ This is Stellarium 0.10.5 - http://www.stellarium.org ]
[ Copyright (C) 2000-2010 Fabien Chereau et al ]
 -------------------------------------------------------
Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
File search paths:
  0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
  1 . "."
Attempting to use an existing older config file.
Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
Qt GL paint engine is: "OpenGL2"
Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
Sky language is "en"
Application language is "en"
Loading Solar System data ...
Loaded 38 / 38 planet orbits
Loading star data ...
"Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
"Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
"Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
"Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
Finished loading star catalogue data, max_geodesic_level: 3
navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
Loaded 10051 NGC records
Loading NGC name data ...
Loaded 222 / 222 NGC name records successfully
Loaded 88 / 88 constellation records successfully for culture "western"
Loaded 85 / 85 constellation art records successfully for culture "western"
Loaded 89 / 89 constellation names
Loading constellation boundary data ...
Loaded 782 constellation boundary segments
Loading star names from "./skycultures/western/star_names.fab"
Loaded 230 / 230 common star names
Loading star names from "./stars/default/name.fab"
Loaded 3215 / 4359 scientific star names
Creating GUI ...
Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
INFO Saving screenshot in file: "C:/Documents and Settings/Blovegro/Desktop/stellarium-000.png"
Downloaded 0 files (0 kbytes) in a session of 27.266 sec (average of 0 kB/s + 0 files from cache (0 kB)).

Related branches

Bogdan Marinov (daggerstab) wrote :

Could you please attach the settings you use for the mirror distortion (the lines from the configuration file)?

Changed in stellarium:
status: New → Incomplete
Bill Lovegrove (blovegro) wrote :

Attached is my config.ini file. These settings work in 10.0.2 but not in 10.0.5.

Changed in stellarium:
status: Incomplete → New
Alexander Wolf (alexwolf) wrote :

I can't reproduce this issue on version 0.10.6

Manuel Valera (valeraml) wrote :

Picture with the wrong distortion taken from version 0.10.6.1

Manuel Valera (valeraml) wrote :

To reproduce.

Install stellarium, v 0.10.6.1
run stellarium
press z (azimuthal grid)
press up arrow until center of the grid is on the center of the screen
press F4 -> Markings -> Fish-eye
press F2 -> tools -> Spheric Mirros Distortion
You should see the grid has the wrong shape

Manuel Valera (valeraml) wrote :

The picture shows the correct distortion taken from version 0.10.2

Manuel Valera (valeraml) wrote :

This bug is a showstopper for planetaria using spherical mirrors

SHOOTnik (shootnik-art) wrote :

My best greetings to Developers of Stellarium.

I have same bug in 0.11.0
Spherical mirror distortion algorithm is incorrect (identical with Manuel Valera (valeraml) screenshots)
Config.ini is default.
I tried it on 5 different computers and this bug was the same.

Please help.

Changed in stellarium:
status: New → Confirmed
importance: Undecided → Medium
doctor-pat (reiff-rice) wrote :

I was hoping that we would get some fix in the new 0.11.1 version. Sadly, we still have issues. I still have to use 0.9.1 Stellarium for mirror installations that want to see a nice Milky Way! (or 0.10.2 if they need scripts)

The worst problem that has persisted since 0.10.2 is that you can't select the object via the mouse. When you click on the object, the software selects a location displaced from your cursor!! This is horrible if you want to find out what an object is... you have to hunt around to click the correct place to select the object.

This is FATAL for use in planetariums. PLEASE help us... I have 125 users out there waiting for a new version that works with the mirror!

I'm adding a screen shot showing that my cursor was on Saturn when I clicked, but it selected 95 Vir!

SHOOTnik (shootnik-art) wrote :

It's bad news for spherical mirror users....
Maybe in 0.12.0 version we'll have right spherical mirror distortion....
If my knowledge of programming was better than I would have tried to solve this problem. First we need to know why this wrong distortion appears in Stellarium after 0.10.2. and we'll solve it. I believe. ;)
But I get some other problems when started write and use scripts.
I write about it in other topic.

Changed in stellarium:
importance: Medium → High
doctor-pat (reiff-rice) wrote :

Thanks for upgrading the importance level. I"d be willing to help support a programmer to fix this issue. I'm now up to 145 users that are still stuck in 0.10.2

Jim Havens (havensjh) wrote :

Same as the others. Stuck on version 0.10.2 for use with spherical mirror. Spent hours trying various combinations of parameters in the "spherical mirror" section of config.ini just to see if I could get close. Nothing near acceptable. Stellarium is a key teaching tool in my volunteer astronomy outreach. I'd also be happy to support a programmer. Stellarium is that good and that useful in schools.

Changed in stellarium:
milestone: none → 1.0.0
Alexander Wolf (alexwolf) wrote :

Anybody can show screenshot with fisheye projection, without spherical distortion for version 0.10.2?

Alexander Wolf (alexwolf) wrote :

O.K. This feature was broke in the revisions 4192. I will try fix it on next two-three days.

Changed in stellarium:
assignee: nobody → Alexander Wolf (alexwolf)
milestone: 1.0.0 → 0.11.3
status: Confirmed → In Progress
Download full text (3.7 KiB)

Yea!!! Bless your heart! I have 160 users waiting...

On Apr 9, 2012, at 12:26 PM, Alexander Wolf wrote:

> O.K. This feature was broke in the revisions 4192. I will try fix it on
> next two-three days.
>
> ** Changed in: stellarium
> Assignee: (unassigned) => Alexander Wolf (alexwolf)
>
> ** Changed in: stellarium
> Milestone: 1.0.0 => 0.11.3
>
> ** Changed in: stellarium
> Status: Confirmed => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion wrong
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names f...

Read more...

Changed in stellarium:
milestone: 0.11.3 → 0.11.4
Download full text (3.8 KiB)

Any news on when this bug will finally be fixed? We are having a major International Planetarium Society meeting in two weeks, and I would certainly like to show off the newer features of Stellarium but we are stuck in 0.10.2 because of the warping problem. Paul Bourke volunteered to help pay for a warp mesh implementation in Stellarium and I have previously stated (and state again now) that I would contribute as well.

Stellarium is great software but this is really awful that so many users are being left behind.

On May 6, 2012, at 12:30 PM, Alexander Wolf wrote:

> ** Changed in: stellarium
> Milestone: 0.11.3 => 0.11.4
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion wrong
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading...

Read more...

Well, this bug is hard for fixing :(

Changed in stellarium:
milestone: 0.11.4 → 0.12.0
importance: High → Critical
Changed in stellarium:
assignee: Alexander Wolf (alexwolf) → nobody
Weisson Ang (weisson123) on 2013-01-06
Changed in stellarium:
assignee: nobody → Weisson Ang (weisson123)
assignee: Weisson Ang (weisson123) → nobody
assignee: nobody → Weisson Ang (weisson123)
Changed in stellarium:
assignee: Weisson Ang (weisson123) → nobody
Weisson Ang (weisson123) on 2013-01-13
Changed in stellarium:
assignee: nobody → Weisson Ang (weisson123)
description: updated
Changed in stellarium:
assignee: Weisson Ang (weisson123) → nobody
description: updated
Download full text (6.4 KiB)

Why are you refusing to let anyone work on this? It is a critical bug!

Sent from my iPhone

On Jan 13, 2013, at 7:43 AM, Alexander Wolf <email address hidden> wrote:

> ** Changed in: stellarium
> Assignee: Weisson Ang (weisson123) => (unassigned)
>
> ** Description changed:
>
> - .
> + Spherical mirror works in 0.10.2. When I run the same parameters in
> + 0.10.5 I get an image which is not nearly correct. Screen shot is
> + attached.
> +
> + 2010-11-16T16:27:32
> + Windows XP
> + Compiled with GCC 4.4.0
> + Qt runtime version: 4.6.2
> + Qt compilation version: 4.6.2
> + Addressing mode: 32-bit
> + Total memory: 2045 MB (unreliable)
> + Total virtual memory: 2047 MB (unreliable)
> + Physical memory in use: 30%
> + Processor speed: 2126 MHz
> + Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> + Processor speed: 2126 MHz
> + Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> + C:\Program Files\Stellarium 0.10.5\stellarium.exe
> + -------------------------------------------------------
> + [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> + [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> + -------------------------------------------------------
> + Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> + File search paths:
> + 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> + 1 . "."
> + Attempting to use an existing older config file.
> + Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> + Qt GL paint engine is: "OpenGL2"
> + Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> + Sky language is "en"
> + Application language is "en"
> + Loading Solar System data ...
> + Loaded 38 / 38 planet orbits
> + Loading star data ...
> + "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> + "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> + "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> + "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> + Finished loading star catalogue data, max_geodesic_level: 3
> + navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> + Loaded 10051 NGC records
> + Loading NGC name data ...
> + Loaded 222 / 222 NGC name records successfully
> + Loaded 88 / 88 constellation records successfully for culture "western"
> + Loaded 85 / 85 constellation art records successfully for culture "western"
> + Loaded 89 / 89 constellation names
> + Loading constellation boundary data ...
> + Loaded 782 constellation boundary segments
> + Loading star names from "./skycultures/western/star_names.fab"
> + Loaded 230 / 230 common star names
> + Loading star names from "./stars/default/name.fab"
> + Loaded 3215 / 4359 scientific star names
> + Creating GUI ...
> + Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
> + INFO Saving screenshot in file: "C:/Documents and Settings/Blovegro/Desktop/stellarium-000.png"
> + Downloaded 0 files (0 kbytes) in a session of 27.266 sec (average...

Read more...

doctor-pat (reiff-rice) wrote :
Download full text (3.6 KiB)

Thanks for agreeing to work on this.

Sent from my iPhone

On Jan 13, 2013, at 4:56 AM, Weisson Ang <email address hidden> wrote:

> ** Changed in: stellarium
> Assignee: (unassigned) => Weisson Ang (weisson123)
>
> ** Description changed:
>
> - Spherical mirror works in 0.10.2. When I run the same parameters in
> - 0.10.5 I get an image which is not nearly correct. Screen shot is
> - attached.
> -
> - 2010-11-16T16:27:32
> - Windows XP
> - Compiled with GCC 4.4.0
> - Qt runtime version: 4.6.2
> - Qt compilation version: 4.6.2
> - Addressing mode: 32-bit
> - Total memory: 2045 MB (unreliable)
> - Total virtual memory: 2047 MB (unreliable)
> - Physical memory in use: 30%
> - Processor speed: 2126 MHz
> - Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> - Processor speed: 2126 MHz
> - Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> - C:\Program Files\Stellarium 0.10.5\stellarium.exe
> - -------------------------------------------------------
> - [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> - [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> - -------------------------------------------------------
> - Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> - File search paths:
> - 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> - 1 . "."
> - Attempting to use an existing older config file.
> - Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> - Qt GL paint engine is: "OpenGL2"
> - Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> - Sky language is "en"
> - Application language is "en"
> - Loading Solar System data ...
> - Loaded 38 / 38 planet orbits
> - Loading star data ...
> - "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> - "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> - "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> - "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> - Finished loading star catalogue data, max_geodesic_level: 3
> - navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> - Loaded 10051 NGC records
> - Loading NGC name data ...
> - Loaded 222 / 222 NGC name records successfully
> - Loaded 88 / 88 constellation records successfully for culture "western"
> - Loaded 85 / 85 constellation art records successfully for culture "western"
> - Loaded 89 / 89 constellation names
> - Loading constellation boundary data ...
> - Loaded 782 constellation boundary segments
> - Loading star names from "./skycultures/western/star_names.fab"
> - Loaded 230 / 230 common star names
> - Loading star names from "./stars/default/name.fab"
> - Loaded 3215 / 4359 scientific star names
> - Creating GUI ...
> - Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
> - INFO Saving screenshot in file: "C:/Documents and Settings/Blovegro/Desktop/stellarium-000.png"
> - Downloaded 0 files (0 kbytes) in a session of 27.266 sec (average of 0 kB/s + 0 files ...

Read more...

Because Weisson Ang just delete original description and assign bug to himself.

Alexander Wolf (alexwolf) wrote :

OK. Now Weisson Ang work under this bug. Stellarium's developers since current date don't touched this bug.

Changed in stellarium:
assignee: nobody → Weisson Ang (weisson123)
milestone: 0.12.0 → none
Weisson Ang (weisson123) on 2013-01-16
Changed in stellarium:
assignee: Weisson Ang (weisson123) → nobody
affects: stellarium → stellarium-website
description: updated
affects: stellarium-website → stellarium
Changed in stellarium:
assignee: nobody → Weisson Ang (weisson123)
Changed in stellarium:
assignee: Weisson Ang (weisson123) → nobody
Weisson Ang (weisson123) on 2013-01-18
Changed in stellarium:
status: In Progress → Invalid
Changed in stellarium:
status: Invalid → In Progress
Weisson Ang (weisson123) on 2013-01-18
affects: stellarium → stellarium-website
affects: stellarium-website → stellarium
description: updated
Changed in stellarium:
assignee: nobody → Weisson Ang (avgserviceprovider)
status: In Progress → Invalid
affects: stellarium → stellarium-website
Changed in stellarium-website:
assignee: Weisson Ang (avgserviceprovider) → nobody
assignee: nobody → Ubuntu Mexico (ubuntu-mx)
summary: - Spherical mirror distortion wrong
+ No one can help!

I've restored again the bug description, project affiliation and assignment. If you want something to be done about this bug, please don't modify them again.

description: updated
affects: stellarium-website → stellarium
Changed in stellarium:
assignee: Ubuntu Mexico (ubuntu-mx) → nobody
importance: Critical → High
status: Invalid → Confirmed
summary: - No one can help!
+ Spherical mirror distortion doesn't work correctly
Download full text (6.7 KiB)

I didn't change it. I'm just waiting and hoping for a solution.

On Jan 30, 2013, at 6:27 AM, Bogdan Marinov <email address hidden> wrote:

> I've restored again the bug description, project affiliation and
> assignment. If you want something to be done about this bug, please
> don't modify them again.
>
> ** Description changed:
>
> - .
> + Spherical mirror works in 0.10.2. When I run the same parameters in
> + 0.10.5 I get an image which is not nearly correct. Screen shot is
> + attached.
> +
> + 2010-11-16T16:27:32
> + Windows XP
> + Compiled with GCC 4.4.0
> + Qt runtime version: 4.6.2
> + Qt compilation version: 4.6.2
> + Addressing mode: 32-bit
> + Total memory: 2045 MB (unreliable)
> + Total virtual memory: 2047 MB (unreliable)
> + Physical memory in use: 30%
> + Processor speed: 2126 MHz
> + Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> + Processor speed: 2126 MHz
> + Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> + C:\Program Files\Stellarium 0.10.5\stellarium.exe
> + -------------------------------------------------------
> + [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> + [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> + -------------------------------------------------------
> + Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> + File search paths:
> + 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> + 1 . "."
> + Attempting to use an existing older config file.
> + Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> + Qt GL paint engine is: "OpenGL2"
> + Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> + Sky language is "en"
> + Application language is "en"
> + Loading Solar System data ...
> + Loaded 38 / 38 planet orbits
> + Loading star data ...
> + "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> + "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> + "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> + "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> + Finished loading star catalogue data, max_geodesic_level: 3
> + navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> + Loaded 10051 NGC records
> + Loading NGC name data ...
> + Loaded 222 / 222 NGC name records successfully
> + Loaded 88 / 88 constellation records successfully for culture "western"
> + Loaded 85 / 85 constellation art records successfully for culture "western"
> + Loaded 89 / 89 constellation names
> + Loading constellation boundary data ...
> + Loaded 782 constellation boundary segments
> + Loading star names from "./skycultures/western/star_names.fab"
> + Loaded 230 / 230 common star names
> + Loading star names from "./stars/default/name.fab"
> + Loaded 3215 / 4359 scientific star names
> + Creating GUI ...
> + Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
> + INFO Saving screenshot in file: "C:/Documents and Settings/Blovegro/Desktop/stellarium-000.png"
> + Downloaded 0 files (0 kbytes) in a session of 27.266 sec (average of 0 k...

Read more...

Alexander Wolf (alexwolf) wrote :

This is Weisson Ang again. :(

Adolfo Jayme (fitojb) wrote :

OK, this is what I dislike about Launchpad: it is too vulnerable to vandalism. I've just received mail about this bug thanks to the wrong assignment to ~ubuntu-mx. And sadly, that user has deleted attachments from this bug. :/

Don Barry (don-4) wrote :

Is there a way to expedite repair of this bug? Another user offered even to fund a programmer to work on it. Projection planetaria are still using a version almost three years old now. On another GL related bug, a volunteer with openGL experience offered to pitch in. I think there's not a shortage of possible helpers, but rather mentorship to steer people into an effective contribution path.

Alexander Wolf (alexwolf) wrote :

Correct view of spherical mirror distortion

doctor-pat (reiff-rice) wrote :

Yes, I am still willing to pay for a programmer to fix this. I had a (paid) support agreement with Digitalis to put mirror functionality into their new version of Nightshade, but they decided that the new Nightshade would not be open source as Stellarium was. They are returning my money but then the problem still remains. We are now up to 180+ users, and still stuck at 0.10.2

Bogdan Marinov (daggerstab) wrote :

Progress report for my efforts for the last few days: Not much.

I can confirm what was reported above - there's also a problem with selecting objects. Apparently mouse clicks are not properly mapped to the distorted coordinates, and attempts to select an object with the mouse almost always don't have the desired result. A possible direction for debugging is to find out why this happens and why selection seems to work for some coordinates. The bug may not be related to the bad distortion.

As Alexander Wolf mentioned above, the problems apparently have been introduced by trunk revisions 4191-4192, which changed the way distortion is handled within Stellarium. Apparently Fabien didn't test the change very thoroughly. :(
http://bazaar.launchpad.net/~stellarium/stellarium/trunk/revision/4192?compare_revid=4190

What I've tried so far is to inspect the changes introduced by those revisions, hoping that it's something trivial. I have a checkout of revision 4190 (immediately before the SMD changes) and a checkout of revision 5572 (immediately before the merge of the new rendering engine introduced last summer). (I suggest the same to any other developer trying to debug this - use a revision <= 5572, because the new engine greatly complicates comparison.)

The main change in revisions 4191/2 is that instead of applying the distortion to the whole screen, Stellarium distorts only the sky, leaving the GUI on top of it undistorted. The distortion code has been moved from the StelViewportDistorter class to the StelViewportEffect class. It seems to be mostly unchanged, the only changes appear to be differences in how double buffering is handled.

I'm still inspecting the code and testing various hypotheses. As the painting surface has been changed, I have the feeling that it may be some kind of coordinate system problem. I'm not very confident in my success, though, as I have limited free time and I don't know any OpenGL - I'm hoping to catch some sort of a technical error.

Bogdan Marinov (daggerstab) wrote :

A better comparison turned out to be between revisions 4190 and 4192 after all. :) Further changes complicate the comparison with irrelevancies.

I've found a possible lead - a texture manipulation that was omitted during the transition. I'll have to investigate further if this is really the reason, and, if it is, how to fix it.

I think that the problem is that, in the old code, the distorted image was some what larger than the screen, and the extra parts were "clipped", and in the new code, the distorted image is scaled/distorted to fit the screen. I'm not sure if this description would make any sense to OpenGL expert, though. :|

Bogdan Marinov (daggerstab) wrote :

I've made some progress - I've determined one of the root reasons for the problem, but I need someone with more knowledge of OpenGL and Stellarium's innards to continue. I've sent an email to the developers mailing list, and I'm waiting for an answer to continue.

Bogdan Marinov (daggerstab) wrote :

Progress report: I may have good news.

I did something that appears to have fixed the problem. I have uploaded a test patch here:
https://launchpad.net/stellarium/+download

Look for " stellarium-patch-bzr5978-SMD-win32.exe ". As it is a patch, it requires Stellarium 0.12.1-win32 to have been installed previously.

I am not sure if the solution will work on all systems and configurations. If you try it, please report the result.

Some usage notes:

The toolbars can be completely removed. They are toggled with Ctrl+T.

The text user interface has been split off as a separate plug-in. You may need to set it to load in the Plugins tab.

Alexander Wolf (alexwolf) wrote :

Any feedback from planetarium users please.

Changed in stellarium:
assignee: nobody → Bogdan Marinov (daggerstab)
milestone: none → 0.12.2
status: Confirmed → In Progress
Download full text (3.6 KiB)

Sorry haven't been able to check the patch. Would need instructions to apply patch. Would be happy to try a full loading version.

Sent from my iPhone

On Apr 29, 2013, at 9:01 AM, Alexander Wolf <email address hidden> wrote:

> ** Changed in: stellarium
> Assignee: (unassigned) => Bogdan Marinov (daggerstab)
>
> ** Changed in: stellarium
> Milestone: None => 0.12.2
>
> ** Changed in: stellarium
> Status: Confirmed => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names from "./stars/default/name.fab...

Read more...

Alexander Wolf (alexwolf) wrote :

You can download 0.12.2dev1 for Windows (32 or 64 bit) and check it - https://launchpad.net/stellarium/+download

Don Barry (don-4) wrote :

I've applied Bogdan's patch to a 12.1 source on GNU+Linux and compiled. Although I do not have my mirror dome handy, the rendering *looks* approximately correct, but *selection* does not work properly -- the highlighted object is a chunk of the screen away from where one clicks. This is the case with or without flip_horiz set.

I still greatly appreciate the momentum on this patch, and will gladly treat the programmers to a beverage of choice should the opportunity arise.

Alexander Wolf (alexwolf) wrote :

I can confirm problem with selection.

doctor-pat (reiff-rice) wrote :
Download full text (3.4 KiB)

Bummer. Then it's still not useable.

Sent from my iPhone

On May 1, 2013, at 9:43 AM, Alexander Wolf <email address hidden> wrote:

> I can confirm problem with selection.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names from "./stars/default/name.fab"
> Loaded 3215 / 4359 scientific star names
> Creating GUI ...
> Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
> INFO Saving screenshot in file: "C:/Documents and Settings/Blovegro/Desktop/stellarium-000.png"
> Downloaded 0 files (0 kbytes...

Read more...

Alexander Wolf (alexwolf) wrote :

This is a development build of 0.12.2 - of course it not for production yet.

Bogdan Marinov (daggerstab) wrote :

I'm sorry for the delay, but I've been really busy with various "real life" problems.

I can't reproduce the selection mismatch on my computer.

Could anyone who has this problem provide a bit of their Stellarium log? Not the whole thing, just a section that starts with "StelViewportDistorterFisheyeToSphericMirror():" and ends with "max_y: [some number]". The section appears in the log file after you enable spheric mirror distortion.

Please also describe the circumstances in which selection fails - which objects you try to select, where on the screen are they relative to the viewport (e.g. in the center, or near the rim, etc.), is this windowed or fullscreen mode, and whether selection works for some objects and not others.

Alexander Wolf (alexwolf) wrote :

It's interesting. I can reproduce it and it looks like selection point has permanent delta between "apparent" place object and real place of object.

Part of log:
StelViewportDistorterFisheyeToSphericMirror(): screen_w: 1920 screen_h: 1080
originalProjectorParams.viewportXywh: 0 0 1920 1080
newProjectorParams.viewportXywh: 0 0 1920 1080
originalProjectorParams.fov: 129.684
newProjectorParams.fov: 60
originalProjectorParams.viewportCenter: 960 540
newProjectorParams.viewportCenter: 960 540
originalProjectorParams.viewportFovDiameter: 1080
newProjectorParams.viewportFovDiameter: 1080
originalProjectorParams.zNear,zFar: 1e-06 50
newProjectorParams.zNear,zFar: 0 0
texture_w: 1920
texture_h: 1080
max_x: 240
max_y: 155

+ on screenshot I clicked on center of the Moon. Bogdan, which screen size on your PC?

Alexander Wolf (alexwolf) wrote :

Ok, SMD correctly worked (include selection) for screen with 4:3 aspect ratio. On non-standard aspect ratio or 16:9 selection or selection+SMD worked not correct (see screenshot).

Changed in stellarium:
milestone: 0.12.2 → 0.12.3

SMD now seems to render absolutely nothing at all on Macs (0.12.0, .1 and .2). Confirmed on iMac and two MacBooks. UI widgets etc render ok, just no sky (screen is otherwise black).

Changed in stellarium:
milestone: 0.12.3 → 0.13.0
Michael Myers (blackavr) wrote :

Black screen with widgets for SMD on OS X still exists in 0.12.3 .

Chrstn (chrstncloete) wrote :

Black screen with widgets on OS Maverick X still exists in 0.12.4 when choosing Spheric mirror distortion.

Changed in stellarium:
milestone: 0.13.0 → 0.13.1
Alexander Wolf (alexwolf) wrote :

This feature should be rewritten. In the trunk she disabled now because after refactoring of the core it didn't work anymore.

Changed in stellarium:
assignee: Bogdan Marinov (daggerstab) → nobody
status: In Progress → Triaged
Changed in stellarium:
milestone: 0.13.1 → none
Download full text (3.5 KiB)

Tony Butterfield had a good observation... it appears that the image was warped TWICE upon projection... that is, warped once and then the warped image was warped again.
Maybe look for that in the code?

On Aug 13, 2014, at 2:29 PM, Alexander Wolf <email address hidden> wrote:

> ** Changed in: stellarium
> Milestone: 0.13.1 => None
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> Triaged
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names from "./stars/default/name.fab"
> Loaded 3215 / 4359 scientific star names
> Creating GUI ...
> Use OpenGL framebuffer objects for viewport eff...

Read more...

I checked the code before and after r4192, and I think the problem came from the way the texture positions of the viewport effect mesh were computed.

In the working revision, the framebuffer size was expected to be the smaller power of 2 larger than the viewport size, in the broken revision, the framebuffer size is always the size of the screen.

I made a new experimental branch to try to reintroduce the whole feature:

https://code.launchpad.net/~guillaume-chereau/stellarium/viewport-effects

On my linux computer, it seems to work, but the rendering is very aliased (probably need to set the buffer interpolation parameters). Also the mouse input are not adjusted, so we cannot select any object in the sky.

I will keep updating the branch until we can eventually merge it to trunk. Feel free to test it and give feedbacks, as I am not very familiar with the math behind the spherical mirror projection.

Alexander Wolf (alexwolf) wrote :

Can you check 0.13.0.91?

Changed in stellarium:
milestone: none → 0.13.1
assignee: nobody → Guillaume Chereau (guillaume-chereau)
status: Triaged → In Progress
doctor-pat (reiff-rice) wrote :
Download full text (3.7 KiB)

Woohoo! 0.13.0.91 seems to be warped properly AND you can select the items correctly.
I have checked this on a Mac...
Let me also check on a Windows 7, and, most importantly, in the dome.

Question... where is the config.ini file now? (mac)
I don't see it in the package and I don't see it in my library...
I would like to increase the font size on the labels and the thicknesses of the lines if possible.

On Sep 28, 2014, at 10:21 AM, Alexander Wolf wrote:

> Can you check 0.13.0.91?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> Triaged
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names ...

Read more...

Bill Lovegrove (blovegro) wrote :
Download full text (3.5 KiB)

We are currently using 0.12.4, which is working.

We tried 0.13.0 which is not working - Spheric mirror distortion is grayed out. I don’t know how to see the fourth version number to see if we have 0.13.0.91 or not.

On Sep 28, 2014, at 11:21 AM, Alexander Wolf <email address hidden> wrote:

> Can you check 0.13.0.91?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> Triaged
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names from "./stars/default/name.fab"
> Loaded 3215 / 4359 scientific star names
> Creating GUI ...
> Use OpenGL framebuffer objects for viewport effect: "sphericMirr...

Read more...

doctor-pat (reiff-rice) wrote :
Download full text (4.0 KiB)

One item still odd...
I can select "spheric mirror distortion" and it goes properly to mirror, then I select to save the configuration, and it does remember field of view, etc BUT it forgets that it is spheric..
I have to select again the next time I start up stellarium. (Mac OS 10.7.5)

On Sep 29, 2014, at 2:47 PM, Patricia Reiff wrote:

> Woohoo! 0.13.0.91 seems to be warped properly AND you can select the items correctly.
> I have checked this on a Mac...
> Let me also check on a Windows 7, and, most importantly, in the dome.
>
> Question... where is the config.ini file now? (mac)
> I don't see it in the package and I don't see it in my library...
> I would like to increase the font size on the labels and the thicknesses of the lines if possible.
>
> On Sep 28, 2014, at 10:21 AM, Alexander Wolf wrote:
>
>> Can you check 0.13.0.91?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/676260
>>
>> Title:
>> Spherical mirror distortion doesn't work correctly
>>
>> Status in Stellarium:
>> Triaged
>>
>> Bug description:
>> Spherical mirror works in 0.10.2. When I run the same parameters in
>> 0.10.5 I get an image which is not nearly correct. Screen shot is
>> attached.
>>
>> 2010-11-16T16:27:32
>> Windows XP
>> Compiled with GCC 4.4.0
>> Qt runtime version: 4.6.2
>> Qt compilation version: 4.6.2
>> Addressing mode: 32-bit
>> Total memory: 2045 MB (unreliable)
>> Total virtual memory: 2047 MB (unreliable)
>> Physical memory in use: 30%
>> Processor speed: 2126 MHz
>> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
>> Processor speed: 2126 MHz
>> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
>> C:\Program Files\Stellarium 0.10.5\stellarium.exe
>> -------------------------------------------------------
>> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
>> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
>> -------------------------------------------------------
>> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
>> File search paths:
>> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
>> 1 . "."
>> Attempting to use an existing older config file.
>> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
>> Qt GL paint engine is: "OpenGL2"
>> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
>> Sky language is "en"
>> Application language is "en"
>> Loading Solar System data ...
>> Loaded 38 / 38 planet orbits
>> Loading star data ...
>> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
>> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
>> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
>> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
>> Finished loading star catalogue data, max_geodesic_level: 3
>> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
>> Loaded 10051 NGC records
>> Loading NGC name data ...
>> Loaded 222 / 222 NGC name records successfully
>> Loaded 88 / 88 constellation r...

Read more...

doctor-pat (reiff-rice) wrote :
Download full text (6.8 KiB)

Bill - you have to download from the beta section of stellarium.org.

On Sep 29, 2014, at 2:47 PM, Bill Lovegrove wrote:

> We are currently using 0.12.4, which is working.
>
> We tried 0.13.0 which is not working - Spheric mirror distortion is
> grayed out. I don’t know how to see the fourth version number to see if
> we have 0.13.0.91 or not.
>
>
> On Sep 28, 2014, at 11:21 AM, Alexander Wolf <email address hidden>
> wrote:
>
>> Can you check 0.13.0.91?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/676260
>>
>> Title:
>> Spherical mirror distortion doesn't work correctly
>>
>> Status in Stellarium:
>> Triaged
>>
>> Bug description:
>> Spherical mirror works in 0.10.2. When I run the same parameters in
>> 0.10.5 I get an image which is not nearly correct. Screen shot is
>> attached.
>>
>> 2010-11-16T16:27:32
>> Windows XP
>> Compiled with GCC 4.4.0
>> Qt runtime version: 4.6.2
>> Qt compilation version: 4.6.2
>> Addressing mode: 32-bit
>> Total memory: 2045 MB (unreliable)
>> Total virtual memory: 2047 MB (unreliable)
>> Physical memory in use: 30%
>> Processor speed: 2126 MHz
>> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
>> Processor speed: 2126 MHz
>> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
>> C:\Program Files\Stellarium 0.10.5\stellarium.exe
>> -------------------------------------------------------
>> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
>> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
>> -------------------------------------------------------
>> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
>> File search paths:
>> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
>> 1 . "."
>> Attempting to use an existing older config file.
>> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
>> Qt GL paint engine is: "OpenGL2"
>> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
>> Sky language is "en"
>> Application language is "en"
>> Loading Solar System data ...
>> Loaded 38 / 38 planet orbits
>> Loading star data ...
>> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
>> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
>> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
>> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
>> Finished loading star catalogue data, max_geodesic_level: 3
>> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
>> Loaded 10051 NGC records
>> Loading NGC name data ...
>> Loaded 222 / 222 NGC name records successfully
>> Loaded 88 / 88 constellation records successfully for culture "western"
>> Loaded 85 / 85 constellation art records successfully for culture "western"
>> Loaded 89 / 89 constellation names
>> Loading constellation boundary data ...
>> Loaded 782 constellation boundary segments
>> Loading star names from "./skycultures/western/star_names.fab"
>> Loaded 230 / 230 common star names
>> Loading star names from "./s...

Read more...

Alexander Wolf (alexwolf) wrote :

>I can select "spheric mirror distortion" and it goes properly to mirror, then I select to save the configuration, and it does remember field of view, etc BUT it forgets that it is spheric..

It's not restored yet, but we will fix it. I hope the main feature working correctly?

Alexander Wolf (alexwolf) wrote :

>Question... where is the config.ini file now? (mac)

~/Library/Application Support/Stellarium/config.ini ?

doctor-pat (reiff-rice) wrote :
Download full text (3.7 KiB)

Yes, it appears to be working fine on the Mac. I had to teach a class last night so I wasn't able to check it on Windows or in a dome but I will check it this morning.

On Sep 29, 2014, at 9:43 PM, Alexander Wolf <email address hidden> wrote:

>> I can select "spheric mirror distortion" and it goes properly to
> mirror, then I select to save the configuration, and it does remember
> field of view, etc BUT it forgets that it is spheric..
>
> It's not restored yet, but we will fix it. I hope the main feature
> working correctly?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loa...

Read more...

doctor-pat (reiff-rice) wrote :

I checked the new Stellarium on a windows machine and the basics do appear fine.
Same issue that it doesn't save the spherical mirror setup.

Only issue on the warping that is very noticeable in the mirror system is the warping of the meridian / ecliptic / equatorial lines.
Each line segment appears to be warped segment-wise, but the segments don't connect up very well, ending in "jaggies". and with just a single pixel wide, there can be gaps.
Similarly, the text items are jaggy and sometimes broken. I boosted the font size to 18 which helped but over that, the bottom edges all get ragged.
Would be nice to have a two-pixel width setting... and calculate the lines better..

I had to boost the color on the lines to make them visible:

On Sep 30, 2014, at 7:11 AM, Patricia Reiff wrote:

> Yes, it appears to be working fine on the Mac. I had to teach a class last night so I wasn't able to check it on Windows or in a dome but I will check it this morning.
>
> On Sep 29, 2014, at 9:43 PM, Alexander Wolf <email address hidden> wrote:
>
>>> I can select "spheric mirror distortion" and it goes properly to
>> mirror, then I select to save the configuration, and it does remember
>> field of view, etc BUT it forgets that it is spheric..
>>
>> It's not restored yet, but we will fix it. I hope the main feature
>> working correctly?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/676260
>>
>> Title:
>> Spherical mirror distortion doesn't work correctly
>>
>> Status in Stellarium:
>> In Progress
>>

Bill Lovegrove (blovegro) wrote :

I tested this in 0.13.0.91 on Windows 7 and it appears to work, except as others have noted the grid lines are poorly rendered. Also there is some rendering outside of the disk viewport as seen on the bottom of the attached screenshot.

Alexander Wolf (alexwolf) wrote :

Guillaume, can you look at framebuffer parameters for avoiding ugly rendering of grids/texts?

Alexander Wolf (alexwolf) wrote :

Bill, how I can get a "tail" like on your screenshot?

Alexander Wolf (alexwolf) wrote :

I'm fill a separate bug report for rendering issue: https://bugs.launchpad.net/stellarium/+bug/1382994

Changed in stellarium:
status: In Progress → Fix Released
Bill Lovegrove (blovegro) wrote :
Download full text (3.4 KiB)

I am not sure but I think if you rotate the sky until a grid line is exactly in the center. The tail seems to come and go as you rotate.

On Oct 18, 2014, at 4:09 PM, Alexander Wolf <email address hidden> wrote:

> Bill, how I can get a "tail" like on your screenshot?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782 constellation boundary segments
> Loading star names from "./skycultures/western/star_names.fab"
> Loaded 230 / 230 common star names
> Loading star names from "./stars/default/name.fab"
> Loaded 3215 / 4359 scientific star names
> Creating GUI ...
> Use OpenGL framebuffer objects for viewport effect: "sphericMirrorDistorter"
> INFO Saving screenshot in file: "...

Read more...

Changed in stellarium:
milestone: 0.13.1 → none
affects: stellarium → stellarium-website
Download full text (3.8 KiB)

Hi, thanks yes I think that is working correctly now. But a much worse bug for high resolution Mac and Windows machines has arisen.
See my bug [Bug 1690601]
When you are on a high resolution (retina) Mac or Windows, and save in mirror, when you reopen it opens only in the corner.
It is less likely if you are mirroring with a 1920x1080 projector but still often does.
I put screen captures from Mac and Win10 into that bug thread.

> On Sep 19, 2018, at 2:26 AM, Alexander Wolf <email address hidden> wrote:
>
> ** Changed in: stellarium
> Milestone: 0.13.1 => None
>
> ** Project changed: stellarium => stellarium-website
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/676260
>
> Title:
> Spherical mirror distortion doesn't work correctly
>
> Status in Stellarium Website:
> Fix Released
>
> Bug description:
> Spherical mirror works in 0.10.2. When I run the same parameters in
> 0.10.5 I get an image which is not nearly correct. Screen shot is
> attached.
>
> 2010-11-16T16:27:32
> Windows XP
> Compiled with GCC 4.4.0
> Qt runtime version: 4.6.2
> Qt compilation version: 4.6.2
> Addressing mode: 32-bit
> Total memory: 2045 MB (unreliable)
> Total virtual memory: 2047 MB (unreliable)
> Physical memory in use: 30%
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> Processor speed: 2126 MHz
> Processor name: Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz
> C:\Program Files\Stellarium 0.10.5\stellarium.exe
> -------------------------------------------------------
> [ This is Stellarium 0.10.5 - http://www.stellarium.org ]
> [ Copyright (C) 2000-2010 Fabien Chereau et al ]
> -------------------------------------------------------
> Writing log file to: "C:/Documents and Settings/Blovegro/Application Data/Stellarium/log.txt"
> File search paths:
> 0 . "C:\Documents and Settings\Blovegro\Application Data\Stellarium"
> 1 . "."
> Attempting to use an existing older config file.
> Config file is: "C:\Documents and Settings\Blovegro\Application Data\Stellarium/config.ini"
> Qt GL paint engine is: "OpenGL2"
> Cache directory is: "C:\Documents and Settings\Blovegro\Local Settings\Application Data\stellarium\stellarium\cache"
> Sky language is "en"
> Application language is "en"
> Loading Solar System data ...
> Loaded 38 / 38 planet orbits
> Loading star data ...
> "Loading "./stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013"
> "Loading "./stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999"
> "Loading "./stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416"
> "Loading "./stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064"
> Finished loading star catalogue data, max_geodesic_level: 3
> navigation/preset_sky_time is a double - treating as jday: 2.45151e+06
> Loaded 10051 NGC records
> Loading NGC name data ...
> Loaded 222 / 222 NGC name records successfully
> Loaded 88 / 88 constellation records successfully for culture "western"
> Loaded 85 / 85 constellation art records successfully for culture "western"
> Loaded 89 / 89 constellation names
> Loading constellation boundary data ...
> Loaded 782...

Read more...

affects: stellarium-website → stellarium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers